'+--------------------------------------------------------------------------+
'|                                                                          |
'|                                  AnyWnd                                  |
'|                                                                          |
'|                This example illustrate the use of skAnyWnd.              |
'|                    Based on Fred Oxenby "Spider" work.                   |
'|                                                                          |
'+--------------------------------------------------------------------------+
'|                                                                          |
'|                         Author Patrice TERRIER                           |
'|            8 Domaine de Rochagnon. 38800 Champagnier  FRANCE             |
'|                       http://www.zapsolution.com                         |
'|                    E-mail: pterrier@zapsolution.com                      |
'|                                                                          |
'|                   copyright (c) 1999 Patrice TERRIER                     |
'|                                                                          |
'+--------------------------------------------------------------------------+
'|                  Project started on : 05-12-2000                         |
'|                        Last revised : 05-12-2000                         |
'+--------------------------------------------------------------------------+

#Compile Exe 
#Resource "ANYWND.PBR"
#Include "WIN32API.INC"
#Include "SKENGINE.INC"


DECLARE FUNCTION CreateChild1&(BYVAL hOwner&)
DECLARE FUNCTION CreateChild2&(BYVAL hOwner&)
DECLARE FUNCTION CreateChild3&(BYVAL hOwner&)

GLOBAL ChildWnd&()
GLOBAL hFrame&
GLOBAL hCTL&
GLOBAL hStatus&
GLOBAL ghInst&
GLOBAL ghProgIcon&
GLOBAL ghButton&() 
GLOBAL Xin&,Yin&

FUNCTION WinMain (BYVAL hInstance     AS LONG, _
                  BYVAL hPrevInstance AS LONG, _
                  lpCmdLine           AS ASCIIZ PTR, _
                  BYVAL iCmdShow      AS LONG) AS LONG

    LOCAL Msg AS tagMsg
    LOCAL wc  AS WndClassEx
    LOCAL sk  AS skall    
    LOCAL PopMnu$(), Mact$()

    ghInst&      = hInstance
    ghProgIcon&  = LoadIcon(ghInst, "PROGRAM")
    Title$       = "skAnyWnd"
    Class$       = "skAnySDI"

    Style& = %CS_HREDRAW OR %CS_VREDRAW
    wc.cbSize        = SIZEOF(wc)
    wc.style         = Style&
    wc.lpfnWndProc   = CODEPTR(WndProc)
    wc.cbClsExtra    = 0
    wc.cbWndExtra    = 0
    wc.hInstance     = ghInst       
    wc.hIcon         = %NULL
    wc.hCursor       = %NULL ' LoadCursor(%NULL, BYVAL %IDC_ARROW)
    wc.hbrBackground = %NULL ' Don't paint the class window background
    wc.lpszMenuName  = %NULL
    wc.lpszClassName = STRPTR(Class$)
    wc.hIconSm       = ghProgIcon&

    CALL RegisterClassEx(wc)
'--[System-buttons]------------------------------
    Style& = %SK_DOCKBOX OR %SK_CLOSEBOX OR %SK_STATUSBAR
    CALL skWindowStyle(Style&)
    Xin& = 480: Yin& = 300
    CALL skSetMaxSize(Xin&, Yin&, xFrame&, yFrame&)
    
'--[Main Window]-----------------------------------------------------------------
    x& = Max&((GetSystemMetrics(%SM_CXSCREEN) - xFrame&) \ 2, 0)
    y& = Max&((GetSystemMetrics(%SM_CYSCREEN) - yFrame&) \ 2, 0)

    Style& = %WS_POPUP OR %WS_SYSMENU 
    StyleEx& = 0
    hFrame&  = CreateWindowEx( _
               StyleEx&, _                ' window EXstyle
               BYVAL STRPTR(Class$), _    ' window class name
               BYVAL STRPTR(Title$), _    ' window title
               Style&, _                  ' window style
               x&, _                      ' initial x position
               y&, _                      ' initial y position
               xFrame&, _                 ' initial x size
               yFrame&, _                 ' initial y size
               %NULL, _                   ' parent window handle
               %NULL, _                   ' window menu handle
               ghInst, _                  ' program instance handle
               BYVAL %NULL)               ' creation parameters

'--[Menu: bar + pop-up]--------------------------
    REDIM PopMnu$(2), Mact$(2, 22)
    BarMnu$ = "&Child windows|&Exit"
    PopMnu$(1) = "Child 1|Child 2|Child 3"
    PopMnu$(2) = "&Yes|&No|" 
    hMenu& = skMenu&(BarMnu$, PopMnu$(), Mact$())
  
  ' Get the API menu handle (must be done before creation of menu container)
    hMenu& = skMenu&(BarMnu$, PopMnu$(), Mact$())
    
'--[Menu container]------------------------------
    hCTLmenu& = skHolder(hFrame&, "SKMENU", 0, 0, CODEPTR(WndProc))

'--[Control holder (child windows container)]----
    hCTL& = skHolder(hFrame&, "SKCLIP", 0, 0, CODEPTR(WndProc))

'--[Show child windows buttons]------------------
    REDIM ghButton&(1 TO 3)
    ghButton&(1) = skBut3D&(hCTL&,"Child 1", skDefaultFont,   0,1,70,18, 901 , sk)
    ghButton&(2) = skBut3D&(hCTL&,"Child 2", skDefaultFont,  70,1,70,18, 902 , sk)
    ghButton&(3) = skBut3D&(hCTL&,"Child 3", skDefaultFont, 140,1,70,18, 903 , sk)

'--[Child windows]--------------------------
    REDIM ChildWnd&(1 TO 3)
    
    ChildWnd&(1) = CreateChild1(hCTL&)
    
    ChildWnd&(2) = CreateChild2(hCTL&)
    CALL ShowWindow(ChildWnd&(2), %SW_HIDE)
            
    ChildWnd&(3) = CreateChild3(hCTL&)
    CALL ShowWindow(ChildWnd&(3), %SW_HIDE)
    
    hStatus& = skStatusWindow(hFrame&, "Child 1 is active")

'--Message-Loop----------------------------------
    CALL ShowWindow(hFrame&, %SW_SHOW)
    CALL UpdateWindow(hFrame&)

    WHILE GetMessage(Msg, %NULL, 0, 0)
       IF skDialogMessage(hFrame&, Msg) = %FALSE THEN
        ' Allow the system TO handle the %WS_TABSTOP controls
          IF IsDialogMessage(hFrame&, Msg) = %FALSE THEN
             TranslateMessage Msg
             DispatchMessage Msg
          END IF
       END IF
    WEND

    FUNCTION = msg.wParam

END FUNCTION

FUNCTION WndProc(BYVAL hWnd&, BYVAL Msg&, BYVAL wParam&, BYVAL lParam&) Export AS LONG
    
    LOCAL rc AS RECT
    LOCAL ps AS PAINTSTRUCT
    LOCAL sk AS SKALL
    
'------------------------------------------------
  ' Ret& <> 0 means ---> Skin Engine did the job thus leave from here.
    Ret& = skGetMessage(hWnd&, Msg&, wParam&, lParam&) ' CALL the Skin Engine !!!
    IF Ret& THEN FUNCTION = Ret&: EXIT FUNCTION
'------------------------------------------------

    SELECT CASE Msg&

    CASE %WM_PAINT
       ARRAY SCAN ChildWnd&(), = hWnd&, TO Ret& 
       IF Ret& > 0 THEN                         
         'CALL InvalidateRect(hWnd&, BYVAL %NULL, 0)
          CALL GetClientRect(hWnd&, rc)
          hDC& = BeginPaint(hWnd&, ps)
          CALL skTileBlt(hDC&, 0, 0, rc.nRight, rc.nBottom, skCtlBack)

          CALL skPrint(hDC&, "Child window" + STR$(Ret&), 20, 226, skGetSysColor(%SKCOLOR_CAPTIONTEXT), 0, DefaultFont&, %TRANSPARENT)
          
          '*'CALL skDrawRect3D(hDC&, 215, 215, 240, 35, skGetSysColor(%SKCOLOR_3DLEFTTOP), skGetSysColor(%SKCOLOR_3DRIGHTBOTTOM))
          CALL skDrawRect3D(hDC&, 215, 215, 240, 35, RGB(64,64,64), RGB(128,128,128))

          CALL EndPaint(hWnd&, ps)
          FUNCTION = 1: EXIT FUNCTION
       ELSEIF hWnd& = hCTL& THEN
       
          CALL InvalidateRect(hWnd&, BYVAL %NULL, 0)
          hDC& = BeginPaint(hWnd&, ps)
          CALL skDrawRect3D(hDC&, 0, 0, Xin&, 20, RGB(64,64,64), RGB(128,128,128))
          CALL EndPaint(hWnd&, ps)
          
       END IF      

    CASE %WM_SYSCOMMAND
       IF wParam& = %SC_CLOSE THEN
          CALL PostQuitMessage(0)
          FUNCTION = 1: EXIT FUNCTION
      
       ELSEIF wParam& = 0 THEN
      
          tNotify$ = skAuthor$ + "||ZAP Image solution|http://www.zapsolution.com|e-mail: pterrier@infonie.fr|| copyright " + RIGHT$(DATE$, 4) + " Patrice Terrier|All rights reserved."
	  sk.Icon = LoadIcon(hInst&, "PROGRAM")
	  sk.Edge = %EDGE_ETCHED
	  sk.Just = %SK_CENTERED
	  sk.Effect = %SK_CENTERED
          sk.Print3D = %SK_3DOUT
          sk.Fore = skGetSysColor(%SKCOLOR_WINDOWTEXT)
          sk.Back = skGetSysColor(%SKCOLOR_WINDOW)
          UseButton$ = "" ' Uses the default "ok" button
          CALL skMsgBox(hFrame&, skCaptionFont, skGetCTLText(hFrame&), tNotify$, UseButton$, sk)

       END IF

    CASE %WM_COMMAND
       SELECT CASE LOWRD(wParam&)
       CASE 101,102,103
          FOR i& = 1 TO 3:CALL ShowWindow(ChildWnd&(i&),%SW_HIDE):NEXT
          CALL ShowWindow(ChildWnd&(LOWRD(wParam&) - 100), %SW_SHOW)
          CALL skSetCTLText(hStatus&, "Child" + STR$(LOWRD(wParam&) - 100) + " is active")
       CASE 201
          CALL SendMessage(hWnd&, %WM_SYSCOMMAND, %SC_CLOSE, 0)
       CASE 901,902,903
          FOR i& = 1 TO 3:CALL ShowWindow(ChildWnd&(i&),%SW_HIDE):NEXT
          CALL ShowWindow(ChildWnd&(LOWRD(wParam&) - 900), %SW_SHOW)
          CALL skSetCTLText(hStatus&, "Child" + STR$(LOWRD(wParam&) - 900) + " is active")
       END SELECT
    END SELECT
    
    FUNCTION = DefWindowProc(hWnd&, Msg&, wParam&, lParam&)

END FUNCTION


%Child1_Start = 10100
%Child1_BtnOK     = 1
%Child1_BtnCancel = 2
%Child1_BtnApply  = 3
GLOBAL ghChild1&     
GLOBAL ghChild1Edit&()  
GLOBAL ghChild1Btn&()

FUNCTION CreateChild1&(BYVAL hOwner&)
   
   LOCAL sk AS SKALL
   LOCAL sk1 AS skall
   DIM ghChild1Edit&(1 TO 9)
   DIM ghChild1Btn&(1 TO 3)

'--[Create child window]-----------
    ghChild1& = skAnyWnd(hOwner&, 0, 20, 480, 280, CODEPTR(WndProc))
  ' Remove WS_CLIPCHILDREN  
    CALL SetWindowLong(ghChild1&, %GWL_STYLE, %WS_CHILD OR %WS_VISIBLE)


'--SYSTEMNAMN------------------------------------
    Top& = 10: LPos& = 110
    Id& = 1  
    Title$ = "System = ": Text$ = "S44F2111"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 10              ' maximum letters allowed
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    sk.Fore = RGB(128,0,0)     ' text color
    sk.Back = RGB(255,255,255) ' background color
    ghChild1Edit&(Id&) = skInput&(ghChild1&, skDefaultFont,Title$,Text$, Id& + %Child1_Start, sk)
    CALL skTabStop(ghChild1Edit&(Id&))
'--LIBNAMN---------------------------------------
    Top& = Top& + 20
    Id& = 2  
    Title$ = "Library = ": Text$ = "A3DBFOCT"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 10              ' maximum letters allowed
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild1Edit&(Id&) = skInput&(ghChild1&, skDefaultFont,Title$,Text$, Id& + %Child1_Start, sk)
    CALL skTabStop(ghChild1Edit&(Id&))
'--BARRIN----------------------------------------
    Top& = Top& + 20
    Id& = 3   
    Title$ = "BarrIn = ": Text$ = "BARRIN"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 10              ' maximum letters allowed
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild1Edit&(Id&) = skInput&(ghChild1&, skDefaultFont,Title$,Text$, Id& + %Child1_Start, sk)
    CALL skTabStop(ghChild1Edit&(Id&))
'--BARRUT----------------------------------------
    Top& = Top& + 20
    Id& = 4   
    Title$ = "BarrUt = ": Text$ = "BARRUT20"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 10              ' maximum letters allowed
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild1Edit&(Id&) = skInput&(ghChild1&, skDefaultFont,Title$,Text$, Id& + %Child1_Start, sk)
    CALL skTabStop(ghChild1Edit&(Id&))
'--MasterId--------------------------------------
    Top& = Top& + 30
    Id& = 5 
    Title$ = "MasterId = ": Text$ = "20"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 2               ' maximum letters allowed
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild1Edit&(Id&) = skInput&(ghChild1&, skDefaultFont,Title$,Text$, Id& + %Child1_Start, sk)
    CALL skTabStop(ghChild1Edit&(Id&))
'--SlavId----------------------------------------
    Id& = 6 
    Title$ = "SlavId = ": Text$ = "20"
    sk.X = LPos& + 100
    sk.Y = Top&
    sk.Isize = 2               ' maximum letters allowed
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild1Edit&(Id&) = skInput&(ghChild1&, skDefaultFont,Title$,Text$, Id& + %Child1_Start, sk)
    CALL skTabStop(ghChild1Edit&(Id&))
'--MasterDir-------------------------------------
    Top& = Top& + 20
    Id& = 7
    Title$ = "MasterDir = ": Text$ = "\\NTSERVER\DATA\SPIDER\MASTER20\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100             ' maximum letters allowed
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild1Edit&(Id&) = skInput&(ghChild1&, skDefaultFont,Title$,Text$, Id& + %Child1_Start, sk)
    CALL skTabStop(ghChild1Edit&(Id&))
'--ScriptFil---------------------------------------
    Top& = Top& + 20
    Id& = 8  
    Title$ = "ScriptFil = ": Text$ = "\\NTSERVER\DATA\SPIDER\DATABASE\SCRIPT\SCRIPT.MMA"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100             ' maximum letters allowed
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild1Edit&(Id&) = skInput&(ghChild1&, skDefaultFont,Title$,Text$, Id& + %Child1_Start, sk)
    CALL skTabStop(ghChild1Edit&(Id&))
'--PCS-funktion------------------------------------
    Top& = Top& + 20
    Id& = 9  
    Title$ = "PCS-Prog = ": Text$ = "PCS_SPECIAL.EXE"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 30              ' maximum letters allowed
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild1Edit&(Id&) = skInput&(ghChild1&, skDefaultFont,Title$,Text$, Id& + %Child1_Start, sk)
    CALL skTabStop(ghChild1Edit&(Id&))

'--Buttons-----------------------------------------    
    sk.X = 0
    sk.Y = 0
    Id& = %Child1_BtnOk  
    BtnTop& = 220
    BtnLeft& = 220
    BtnWidth& = 70
    BtnHeight& = 25
    Text$="OK"   
    ghChild1Btn&(Id&) = skBut3D&(ghChild1&, Text$, skDefaultFont&, BtnLeft&, BtnTop&, BtnWidth&, BtnHeight&, Id&, sk)
'--Button CANCEL-----------------------------------
    Id& = %Child1_BtnCancel  
    BtnLeft& = 220 + 80
    Text$="Cancel"
    ghChild1Btn&(Id&) = skBut3D&(ghChild1&, Text$, skDefaultFont&, BtnLeft&, BtnTop&, BtnWidth&, BtnHeight&, Id&, sk)
'--Button APPLY------------------------------------
    Id& = %Child1_BtnApply   
    BtnLeft& = 220 + 80 + 80
    Text$="Apply"
    ghChild1Btn&(Id&) = skBut3D&(ghChild1&, Text$, skDefaultFont&, BtnLeft&, BtnTop&, BtnWidth&, BtnHeight&, Id&, sk)

    FUNCTION = ghChild1&
END FUNCTION


%Child2_Start = 10200
%Child2_BtnOK     = 1
%Child2_BtnCancel = 2
%Child2_BtnApply  = 3
GLOBAL ghChild2&      
GLOBAL ghChild2Edit&() 
GLOBAL ghChild2Btn&()   

FUNCTION CreateChild2&(BYVAL hFrame&)
   
   LOCAL sk AS SKALL
   DIM ghChild2Edit&(1 TO 10)
   DIM ghChild2Btn&(1 TO 3)

'--[Create child window]-----------
    ghChild2& = skAnyWnd(hFrame&, 0, 20, 480, 280, CODEPTR(WndProc))
  ' Remove WS_CLIPCHILDREN  
    CALL SetWindowLong(ghChild2&, %GWL_STYLE, %WS_CHILD OR %WS_VISIBLE)   

'--#1--------------------------------------------
    Top& = 10
    LPos& = 110
    Id& = 1 '
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100             ' maximum letters allowed
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    sk.Fore = RGB(0,128,0)     ' text color
    sk.Back = RGB(255,255,255) ' background color
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))
'--#2--------------------------------------------
    Top& = Top& + 20
    Id& = 2
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))
'--#3--------------------------------------------
    Top& = Top& + 20
    Id& = 3
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))
'--#4--------------------------------------------
    Top& = Top& + 20
    Id& = 4
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))
'--#5--------------------------------------------
    Top& = Top& + 20
    Id& = 5
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))
'--#6--------------------------------------------
    Top& = Top& + 20
    Id& = 6
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))
'--#7--------------------------------------------
    Top& = Top& + 20
    Id& = 7
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))
'--#8--------------------------------------------
    Top& = Top& + 20
    Id& = 8
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))
'--#9--------------------------------------------
    Top& = Top& + 20
    Id& = 9
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))
'--#10-------------------------------------------
    Top& = Top& + 20
    Id& = 10
    Title$ = "Hold-Dir = ": Text$ = "\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth =350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild2Edit&(Id&) = skInput&(ghChild2&, skDefaultFont,Title$,Text$, Id& + %Child2_Start, sk)
    CALL skTabStop(ghChild2Edit&(Id&))

'--Buttons-----------------------------------------
    sk.X = 0
    sk.Y = 0
    Id& = %Child2_BtnOk  
    BtnTop& = 220
    BtnLeft& = 220
    BtnWidth& = 70
    BtnHeight& = 25
    Text$="OK"
    ghChild2Btn&(Id&) = skBut3D&(ghChild2&,Text$,skDefaultFont&,BtnLeft&,BtnTop&,BtnWidth&,BtnHeight&, Id&, sk)
'--Button CANCEL-----------------------------------
    Id& = %Child2_BtnCancel  
    BtnLeft& = 220 + 80
    Text$="Cancel"
    ghChild2Btn&(Id&) = skBut3D&(ghChild2&,Text$,skDefaultFont&,BtnLeft&,BtnTop&,BtnWidth&,BtnHeight&, Id&, sk)
'--Button APPLY------------------------------------
    Id& = %Child2_BtnApply   
    BtnLeft& = 220 + 80 + 80
    Text$="Apply"
    ghChild2Btn&(Id&) = skBut3D&(ghChild2&,Text$,skDefaultFont&,BtnLeft&,BtnTop&,BtnWidth&,BtnHeight&, Id&, sk)

    FUNCTION = ghChild2&
END FUNCTION


%Child3_Start = 10220
%Child3_BtnOK     = 1
%Child3_BtnCancel = 2
%Child3_BtnApply  = 3
GLOBAL ghChild3&     
GLOBAL ghChild3Edit&()   
GLOBAL ghChild3Btn&()    

FUNCTION CreateChild3&(BYVAL hFrame&)
    
    LOCAL sk AS SKALL
    LOCAL sk1 AS skall
    DIM ghChild3Edit(1 TO 10)
    DIM ghChild3Btn(1 TO 3)
    
'--[Create child window]-----------
    ghChild3& = skAnyWnd(hFrame&, 0, 20, 480, 280, CODEPTR(WndProc))
  ' Remove WS_CLIPCHILDREN  
    CALL SetWindowLong(ghChild3&, %GWL_STYLE, %WS_CHILD OR %WS_VISIBLE)

'--#1--------------------------------------------
    Top& = 10
    LPos& = 110
    Id& = 1 '
    Title$ = "Barr-LoggFil = ": Text$="\\NTSERVER\DATA\RXSPOOL\HOLD\"
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100             ' maximum letters allowed
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    sk.Fore = RGB(0,0,128)     ' text color
    sk.Back = RGB(255,255,255) ' background color
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))
'--#2--------------------------------------------
    Top& = Top& + 20
    Id& = 2
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))
'--#3--------------------------------------------
    Top& = Top& + 20
    Id& = 3
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))
'--#4--------------------------------------------
    Top& = Top& + 20
    Id& = 4
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))
'--#5--------------------------------------------
    Top& = Top& + 20
    Id& = 5
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))
'--#6--------------------------------------------
    Top& = Top& + 20
    Id& = 6
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))
'--#7--------------------------------------------
    Top& = Top& + 20
    Id& = 7
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))
'--#8--------------------------------------------
    Top& = Top& + 20
    Id& = 8
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))
'--#9--------------------------------------------
    Top& = Top& + 20
    Id& = 9
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))
'--#10-------------------------------------------
    Top& = Top& + 20
    Id& = 10
    sk.X = LPos&
    sk.Y = Top&
    sk.Isize = 100
    sk.IWidth = 350
    sk.IHeight = 19
    sk.Itype = 2               ' field type: enhanced UCASE
    ghChild3Edit(Id&) = skInput&(ghChild3&, skDefaultFont,Title$,Text$, Id& + %Child3_Start, sk)
    CALL skTabStop(ghChild3Edit&(Id&))

'--Button OK---------------------------------------
    sk.X = 0
    sk.Y = 0
    Id& = %Child3_BtnOk  
    BtnTop& = 220
    BtnLeft& = 220
    BtnWidth& = 70
    BtnHeight& = 25
    Text$ = "OK"
    ghChild3Btn(Id&) = skBut3D&(ghChild3&, Text$, skDefaultFont, BtnLeft&, BtnTop&, BtnWidth&, BtnHeight&, Id&, sk)
'--Button CANCEL-----------------------------------
    Id& = %Child3_BtnCancel  
    BtnLeft& = 220 + 80
    Text$ = "Cancel"
    ghChild3Btn(Id&) = skBut3D&(ghChild3&, Text$, skDefaultFont, BtnLeft&, BtnTop&, BtnWidth&, BtnHeight&, Id&, sk)
'--Button APPLY------------------------------------
    Id& = %Child3_BtnApply   
    BtnLeft& = 220 + 80 + 80
    Text$ = "Apply"
    ghChild3Btn(Id&) = skBut3D&(ghChild3&, Text$, skDefaultFont, BtnLeft&, BtnTop&, BtnWidth&, BtnHeight&, Id&, sk)

    FUNCTION = ghChild3&
END FUNCTION

